package idv.project.myjava.jmpused ;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/**
 *   MediaFileFilter of JMP
 *   Supprot	Files :	1. wav
 *							    2. mp3
 *							    3. mid
 */

public class MediaFilter extends FileFilter {

    public final static String acceptFile[] = {
		"mp3" , "mid" , "wav" };


    // Accept all directories and all gif, jpg, or tiff files.
    public boolean accept(File f)
    {

        if (f.isDirectory()) {
            return true;
        }

        String extension = getExtension(f);

	    if (extension != null)
	    {
			for ( int i = 0 ; i < acceptFile.length ; i++ )
			{
				if (extension.equals( acceptFile[ i ]))
                    return true;
            }

            return false;
    	}

        return false;
    }


    public String getExtension(File f)
    {
		String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1)
        {
			ext = s.substring(i+1).toLowerCase();
        }

        return ext;
    }

    // The description of this filter
    //Get the extension of a file.

    public String getDescription() {
        return "Supported Files   ( mp3 , midi , wav )";
    }
}
